package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class CashOut {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "付款日期")
    private String cashOutDate;
    @JSONField(name = "本次付款金额（元）")
    private BigDecimal cashOutAmount;
    @JSONField(name = "摘要")
    private String abstractInformation;
    @JSONField(name = "迅网项目号")
    private String xwProjectId;
    @JSONField(name = "需要说明的情况")
    private String explainInfo;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传时间")
    private String uploadTime;

    public CashOut() {
    }

    @Override
    public String toString() {
        return "CashOut{" +
                "id='" + id + '\'' +
                ", cashOutDate='" + cashOutDate + '\'' +
                ", cashOutAmount=" + cashOutAmount +
                ", abstractInformation='" + abstractInformation + '\'' +
                ", xwProjectId='" + xwProjectId + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCashOutDate() {
        return cashOutDate;
    }

    public void setCashOutDate(String cashOutDate) {
        this.cashOutDate = cashOutDate;
    }

    public BigDecimal getCashOutAmount() {
        return cashOutAmount;
    }

    public void setCashOutAmount(BigDecimal cashOutAmount) {
        this.cashOutAmount = cashOutAmount;
    }

    public String getAbstractInformation() {
        return abstractInformation;
    }

    public void setAbstractInformation(String abstractInformation) {
        this.abstractInformation = abstractInformation;
    }

    public String getXwProjectId() {
        return xwProjectId;
    }

    public void setXwProjectId(String xwProjectId) {
        this.xwProjectId = xwProjectId;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }
}
